All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.geometry
Class RectangularOrientation

    com.sas.geometry.RectangularOrientation

    public abstract class RectangularOrientation

RectangularOrientation defines a set of constants for identifying a position along a rectangular path and a method for determining whether a given integer is one of them.

See Also:
  `Orientations`, `Orientation`, `CircularOrientation`, `CornerOrientation`, `HorizontalOrientation`, `SideOrientation`, `VerticalOrientation`

Field Summary
`static int` | `BOTTOM`
`static int` | `BOTTOM_LEFT`
`static int` | `BOTTOM_RIGHT`
`static int` | `LEFT`
`static int` | `RIGHT`
`static int` | `TOP`
`static int` | `TOP_LEFT`
`static int` | `TOP_RIGHT`

Constructor Summary
`RectangularOrientation()`

Method Summary
`static boolean` | `validate(int orientation)` Determines whether a given integer value is one of the defined orientations.
`static boolean` | `validateCombination(int orientation)` Determines whether a given integer value is a valid combination one or more of the defined orientations.

Field Detail

### TOP

    public static final int TOP

See Also:
  Constant Field Values

### BOTTOM

    public static final int BOTTOM

See Also:
  Constant Field Values

### LEFT

    public static final int LEFT

See Also:
  Constant Field Values

### RIGHT

    public static final int RIGHT

See Also:
  Constant Field Values

### TOP_LEFT

    public static final int TOP_LEFT

See Also:
  Constant Field Values

### TOP_RIGHT

    public static final int TOP_RIGHT

See Also:
  Constant Field Values

### BOTTOM_RIGHT

    public static final int BOTTOM_RIGHT

See Also:
  Constant Field Values

### BOTTOM_LEFT

    public static final int BOTTOM_LEFT

See Also:
  Constant Field Values

Constructor Detail

### RectangularOrientation

    public RectangularOrientation()

Method Detail

### validate

    public static boolean validate(int orientation)

  Determines whether a given integer value is one of the defined orientations.

  Parameters:
    `orientation` - The integer value to validate.
  Returns:
    true if orientation is one of the defined ones and false otherwise.

### validateCombination

    public static boolean validateCombination(int orientation)

  Determines whether a given integer value is a valid combination one or more of the defined orientations.

  Parameters:
    `orientation` - The integer value to validate.
  Returns:
    true if orientation is a combination of one or more of the defined orientations and false otherwise.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.